Skip to main content
`Ctrl`+`K`

# DMDASetOffset

Sets the index offset of the `DMDA`.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetOffset(DM da, PetscInt xo, PetscInt yo, PetscInt zo, PetscInt Mo, PetscInt No, PetscInt Po)

Collective

## Input Parameters

- da - The `DMDA`

- xo - The offset in the x direction

- yo - The offset in the y direction

- zo - The offset in the z direction

- Mo - The problem offset in the x direction

- No - The problem offset in the y direction

- Po - The problem offset in the z direction

## Note

This is used primarily to overlap a computation on a local `DMDA` with that on a global `DMDA` without changing boundary conditions or subdomain features that depend upon the global offsets.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetOffset()`, `DMDAVecGetArray()`

## Level

developer

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages